package domain


type AlibabaAelophyShopUpdatestatusShopStatusUpdateRequest struct {
    /*
        经营店ID     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        渠道     */
    ChannelSourceType  *int64 `json:"channel_source_type,omitempty" `

    /*
        营业状态(1:营业,-1:不营业)     */
    Status  *int64 `json:"status,omitempty" `

}

func (s *AlibabaAelophyShopUpdatestatusShopStatusUpdateRequest) SetStoreId(v string) *AlibabaAelophyShopUpdatestatusShopStatusUpdateRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaAelophyShopUpdatestatusShopStatusUpdateRequest) SetChannelSourceType(v int64) *AlibabaAelophyShopUpdatestatusShopStatusUpdateRequest {
    s.ChannelSourceType = &v
    return s
}
func (s *AlibabaAelophyShopUpdatestatusShopStatusUpdateRequest) SetStatus(v int64) *AlibabaAelophyShopUpdatestatusShopStatusUpdateRequest {
    s.Status = &v
    return s
}
